
local pasture = ...

pasture:registerAssetId("models/pasture.fbx/Prefab/pasturePart", "PASTURE_PREFAB")
--pasture:registerAssetId("models/pasture.fbx/Prefab/pasturePart/vache1", "COW_PREFAB")

pasture:register({
--Dclare que l'objet que l'on cre appartient  la class BUILDING
	DataType = "BUILDING",
--Dclare la classe de l'objet que l'on cre
	Id = "PASTURE",
--Dclaration du Nom  Sert dans l'ecran de selection du Mod
	Name = "PASTURE_NAME",
--Renseigne le champ description de l'objet sert a classer l'objet dans les menus
	Description = "PASTURE_DESC",
--Renseigne le champ Building Type. cela va permettre de classer l'objet dans les menus
	BuildingType = "GENERAL",
--renseigne le champ BuildingPartList de l'objet que l'on cre un peu plus loin	
	BuildingPartSetList = {
		{
			Name = "PASTURE_NAME",
                	BuildingPartList = { "PASTURE_PART" }
                }
        } 
--Renseigne le champ Nombre de villageois requis pour la construction. Ici inactiv pour le test
	--VillagerRequired = { Status = "NEWCOMER", Quantity = 8 }
})

pasture:register({
--Dclare que l'objet que l'on cre appartient  la class BUILDING_PART
	DataType = "BUILDING_PART",
--Cr l'objet
	Id = "PASTURE_PART",
	Description = "Faut bien a!",
--on dclare d'aller chercher PASTURE_PREFAB pour construire l'object final ( c'est dans le Fbx )
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PASTURE_PREFAB"
	},
--Dclaration de la taille de la zone de construction ( c'est un masque qui cache la zone de futur construction pour faire passer devant le decor votre object" veiller a la faire a la bonne taille ..pas bloquant
	BuildingZone = { 20, 20},
--Ca c'est pour dclarer le visuel de construction si il y en a un !
	ConstructionVisual = "PASTURE_PREFAB",
--Les ressources ncessaires.
	Cost = {
		UpkeepCost = {
			{ Resource = "GOLD", Quantity = 0 }
		},
		RessourcesNeeded = {
			{ Resource = "WOOD", Quantity = 4 }
		}
	},
	BuildingFunction = {
		DataType = "BUILDING_FUNCTION_WORKPLACE",
		WorkerCapacity = 1,
                RelatedJob = { Job = "COWHERD", Behavior = "WORK_BEHAVIOR" },
                ResourceProduced = {
			{ Resource = "GRASS", Quantity = 1 }
                }--,
--                SpawningLivestock = "COW_PREFAB"
	}

})

pasture:registerPrefabComponent("models/pasture.fbx/Prefab/pasturePart", {
	DataType = "COMP_DIRT_RECTANGLE",
	Size = {2, 2}
})

pasture:registerPrefabComponent("models/pasture.fbx/Prefab/pasturePart/vache1", {
	DataType = "COMP_GROUNDED"
})

pasture:registerPrefabComponent("models/pasture.fbx/Prefab/pasturePart/vache2", {
	DataType = "COMP_GROUNDED"
})

pasture:registerPrefabComponent("models/pasture.fbx/Prefab/pasturePart/vache3", {
	DataType = "COMP_GROUNDED"
})
